Package org.wildfly.plugin.server

## Class User

- java.lang.Object
- - org.wildfly.plugin.server.User

-     public class User
      extends Object

  Represents a user for the server.
  Author:
    James R. Perkins

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `User()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `List<String>` | `getGroups()` | Returns a collection of groups the user belongs to.
    `String` | `getPassword()` | Returns the password for the user.
    `String` | `getRealm()` | Returns the realm the user belongs to.
    `String` | `getUsername()` | Returns the username for the user.
    `int` | `hashCode()` |
    `boolean` | `isApplicationUser()` | Indicates whether or not this is an application user.
    `void` | `set​(String value)` | Allows a user to be set by a string value.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### User

          public User()

  - ### Method Detail

    - #### getUsername

          public String getUsername()

      Returns the username for the user.
      Returns:
        the user name

    - #### getPassword

          public String getPassword()

      Returns the password for the user.
      Returns:
        the users password

    - #### getGroups

          public List<String> getGroups()

      Returns a collection of groups the user belongs to.
      Returns:
        the groups the user belongs

    - #### getRealm

          public String getRealm()

      Returns the realm the user belongs to.
      Returns:
        the users realm

    - #### isApplicationUser

          public boolean isApplicationUser()

      Indicates whether or not this is an application user.
      Returns:
        `true` if this is an application user, otherwise `false`

    - #### set

          public void set​(String value)

      Allows a user to be set by a string value. The format is `user:password:groups:realm:true|false`.

      Both username and password are required. Groups can be a comma delimited set of groups.

      Parameters:
        `value` - the string user value

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`